import { Order, Options, Network, OrderMessage, SnapshotMessage } from '../types';
import { TokenInterface } from '@melonproject/token-math';
export interface AsksAndBids {
    bids: Order[];
    asks: Order[];
}
export interface Orderbook extends AsksAndBids {
    quote: TokenInterface;
    base: TokenInterface;
    network: Network;
}
export declare const createOrderbook: (options: Options, orders?: AsksAndBids) => {
    quote: TokenInterface;
    base: TokenInterface;
    network: Network;
    asks: Order[];
    bids: Order[];
};
export declare const sortOrders: (a: Order, b: Order) => number;
export declare const reduceOrderVolumes: (carry: Order[], order: Order, index: number) => Order[];
export declare const isBidOrder: (obj: any) => boolean;
export declare const isAskOrder: (obj: any) => boolean;
export declare const aggregateOrders: (orders: Order[]) => AsksAndBids;
export declare const reduceOrderEvents: (carry: AsksAndBids, current: OrderMessage | SnapshotMessage) => AsksAndBids;
